[licensecheck] 02/06: Modernize cdbs: Check copyright in maintainer script (not during build).

Jonas Smedegaard dr at jones.dk
Thu Jul 6 13:57:00 UTC 2017


This is an automated email from the git hooks/post-receive script.

js pushed a commit to branch master
in repository licensecheck.

commit 2cd21948cddf52bf4ce61978c972e65ad10c4b50
Author: Jonas Smedegaard <dr at jones.dk>
Date:   Thu Jul 6 15:08:49 2017 +0200

    Modernize cdbs: Check copyright in maintainer script (not during build).
---
 debian/copyright-check | 27 +++++++++++++++++++++++++++
 debian/rules           |  5 -----
 2 files changed, 27 insertions(+), 5 deletions(-)

diff --git a/debian/copyright-check b/debian/copyright-check
new file mode 100755
index 0000000..d517dc8
--- /dev/null
+++ b/debian/copyright-check
@@ -0,0 +1,27 @@
+#!/bin/sh
+# Copyright © 2016-2017  Jonas Smedegaard <dr at jones.dk>
+# Description: helper script to update copyright_hints
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+# licensecheck uses itself for licensecheck.
+export DEB_COPYRIGHT_CHECK_LICENSECHECK="perl -Ilib bin/licensecheck"
+
+make -f /usr/share/cdbs/1/rules/utils.mk pre-build || true
+make -f /usr/share/cdbs/1/rules/utils.mk clean DEB_COPYRIGHT_CHECK_STRICT=1
+
+# unconditionally merge changes - safe to do with git-tracked package
+[ ! -f debian/copyright_newhints ] || mv -f debian/copyright_newhints debian/copyright_hints
diff --git a/debian/rules b/debian/rules
index 1543d47..fcd91a1 100755
--- a/debian/rules
+++ b/debian/rules
@@ -16,16 +16,11 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/perl-makemaker.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
-# licensecheck uses itself for licensecheck.
-CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
-DEB_COPYRIGHT_CHECK_LICENSECHECK = perl -Ilib bin/licensecheck
-
 # Needed by upstream build and (always/often) at runtime
 perl-deps = getopt-long-descriptive pod-constants sort-key
 perl-deps += string-escape try-tiny namespace-clean path-iterator-rule

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-perl/packages/licensecheck.git



More information about the Pkg-perl-cvs-commits mailing list